RPM Community Forums

Mailing List Message of <rpm-users>

Re: Wondering status of rpm5 in Mandriva?

From: Per Øyvind Karlsen <pkarlsen@rpm5.org>
Date: Fri 17 Dec 2010 - 18:53:05 CET
Message-ID: <AANLkTi=Y5uEtq7L2vN8Few8qWeYvNVYngJEqJzz45XrJ@mail.gmail.com>
2010/12/17 Jeff Johnson <n3npq@mac.com>:
>
> On Dec 17, 2010, at 10:29 AM, Dwight Paige wrote:
>
>> On 12/16/2010 11:28 PM, Jeff Johnson wrote:
>>
>>> There's a few issues that have been fixed this week:
>>>      /etc/passwd (and %config handling) was screwed
>>>      parentdir dependencies used for ordering were screwed
>>>      file triggers and/or %posttrans wasn't functional w --root
>>> Reported by IDMS but confirmed in Mandriva.
>>>
>>> The recent segfaults I've heard (but not personally seen) in Mandriva were
>>> with DistEpoch: which is a bit tricky to deploy but since
>>> every package will use, issues are easy to see and fix.
>>>
>>> Per Oyvind knows details better than I. I just sweep up the bugs ;-)
>>>
>>> hth
>>>
>>> 73 de Jeff
>>>
>>> ______________________________________________________________________
>>> RPM Package Manager                                    http://rpm5.org
>>> User Communication List                             rpm-users@rpm5.org
>>>
>> Thanks. As I understand we are basically awaiting perl-URPM 4.3. Per Oyvind has reported difficulties getting it through build system. Most recent is:
>>
>> perl-URPM-4.2-1mdv2011.0.x86_64.rpm 03-Dec-2010
>>
>> and there doesn't appear to be anything here:
>>
>> http://kenobi.mandriva.com/queue/queue/cooker/main/testing/
>>
>> So I'll just wait and see what happens.
>
> Careful: Some of the rpm-5.3.6+ changes -- particularly %config handling -- WILL
> affect your Mandriva upgrades. All I'm saying is there is a rpm-5.3.7 package
> from the distribution mirrors that is needed in addition to perl-URPM-4.3.
Ahrf, buildsystem issues and the #"€"# 'abrt' package and it's related
issues has been fscking up things over and over for every attempt at
pushing things through.

I'm just gonna remove the librpm <= 5.3 conflicts for now to avoid the
issue on buildsystem for now to work past it, my patience is starting
to run low..

meanwhile I've posted the perl-URPM-4.3 src.rpm at
http://kenobi.mandriva.com/~peroyvind/perl-URPM-4.3-1.src.rpm for
people to rebuild themself to avoid having to await this extremely
annoying situation to be resolved...

--
Regards,
Per Øyvind
Received on Fri Dec 17 20:07:25 2010
Driven by Jeff Johnson and the RPM project team.
Hosted by OpenPKG and Ralf S. Engelschall.
Powered by FreeBSD and OpenPKG.